<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <import type="android.view.View" />

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.AssembleWaybillBean" />

        <variable
            name="position"
            type="Integer" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingHorizontal="8dp"
        android:paddingVertical="12dp">

        <!-- 序号 -->
        <TextView
            android:layout_width="64dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="@{String.valueOf(position + 1)}"
            android:textColor="@{bean.isMarked ? @color/text_red : @color/text_normal}"
            android:textSize="14sp" />

        <!-- 运单号 -->
        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:text="@{bean.waybillNo}"
            android:textColor="@{bean.isMarked ? @color/text_red : @color/text_normal}"
            android:textSize="14sp" />

        <!-- 件数 -->
        <TextView
            android:layout_width="120dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="@{bean.pieces}"
            android:textColor="@{bean.isMarked ? @color/text_red : @color/text_normal}"
            android:textSize="14sp" />

        <!-- 重量 -->
        <TextView
            android:layout_width="120dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="@{bean.weight}"
            android:textColor="@{bean.isMarked ? @color/text_red : @color/text_normal}"
            android:textSize="14sp" />

        <!-- 配载航班 -->
        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1.2"
            android:gravity="center"
            android:text="@{bean.flight}"
            android:textColor="@{bean.isMarked ? @color/text_red : @color/text_normal}"
            android:textSize="14sp" />
    </LinearLayout>
</layout>
